# Generated from sandthorn_driver_event_store-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sandthorn_driver_event_store

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Event Store driver for Sandthorn
License: MIT
URL: https://github.com/Sandthorn/sandthorn_driver_event_store
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(gem-release)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(autotest-standalone)
# BuildRequires: rubygem(uuidtools)
# BuildRequires: rubygem(ruby-beautify)
# BuildRequires: rubygem(msgpack)
# BuildRequires: rubygem(snappy)
# BuildRequires: rubygem(guard-rspec)
BuildArch: noarch

%description
Event Store driver.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Dockerfile
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/sandthorn_driver_event_store.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.0-1
- Initial package
